Subject: Re: bug#38940: \x1b]8; ; OSC character displayed on hyperlinks shown after calls to `guix describe` or `guix show` on mate-terminal 1.12.1 (Trisquel 8)

From: zimoun <[email-masked]>
Date: Mon, 6 Jan 2020 19:37:53 +0100

Hi,

Thank you for your report.

On Sun, 5 Jan 2020 at 07:49, Calvin Heim <[email-masked]> wrote:

> When using mate-terminal version 1.12.1 (the default graphical terminal provided in Trisquel 8), Guix commands
> that print hyperlinks to the terminal (such as `guix describe` and `guix show`)
> print a mangled \x1b]8;; OSC character. I haven't tested the mate-terminal
> package provided by Guix though, so this bug may only be visible to Trisquel users
> of the Guix package manager relying on their host distribution's default terminal soon
> after installing Guix.

I have tested with "guix environment --ad-hoc mater-terminal" on
foreign distro (Debian) and I do not see an issue.

So it probably comes from the Trisquel default configuration.

> On a related note, the procedure supports-hyperlinks in module (guix ui) checks the
> environment variable INSIDE_EMACS to prevent hyperlink mangling when using Emacs.
> Perhaps this procedure could be edited to solve this bug.

Does "INSIDE_EMACS=1 guix describe" fix the issue?

All the best,
simon